
From: Andi Kleen <ak@muc.de>

Compiling an allyesconfig kernel straight with a gcc 4.0 snapshot gives
nearly 10k new warnings like:

warning: pointer targets in passing argument 5 of `cpuid' differ in signedness

Since the sheer number of these warnings was too much even for the most
determined kernel janitors (I actually asked ;-) and I don't think it's a
very serious issue to have these mismatches I submitted an new option to
gcc to disable it.  It was incorporated in gcc mainline now.  

This patch makes the kernel compilation use it.  There are still quite a
lot of new warnings with 4.0 (mostly about uninitialized variables), but
the compile log looks much nicer nnow.

Signed-off-by: Andi Kleen <ak@suse.de>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/Makefile |    3 +++
 1 files changed, 3 insertions(+)

diff -puN Makefile~use-wno-pointer-sign-for-gcc-40 Makefile
--- 25/Makefile~use-wno-pointer-sign-for-gcc-40	2005-01-18 21:01:04.947029016 -0800
+++ 25-akpm/Makefile	2005-01-18 21:01:04.951028408 -0800
@@ -534,6 +534,9 @@ include $(srctree)/arch/$(ARCH)/Makefile
 # warn about C99 declaration after statement
 CFLAGS += $(call cc-option,-Wdeclaration-after-statement,)
 
+# disable pointer signedness warnings in gcc 4.0
+CFLAGS += $(call cc-option,-Wno-pointer-sign,)
+
 # Default kernel image to build when no specific target is given.
 # KBUILD_IMAGE may be overruled on the commandline or
 # set in the environment
_
